/*
  Axis.h - Library for controlling an axis
*/
#ifndef Axis_h
#define Axis_h

#include "Arduino.h"
#include <Servo.h>

class Axis
{
  public:
    Axis(int pin, int AXIS_MIN_ANGLE, int AXIS_MAX_ANGLE, int AXIS_BASE_ANGLE);
    void setAngle(int angle);
    int getAngle();
  private:
    int const MIN_ANGLE;
    int const MAX_ANGLE;
    int currentAngle;
    //Servo servo;
};

#endif
