#include <Servo.h>
#include "Steeper.h"
#include "Axis.h"
int RDIR_PIN = A3;
int RSTEP_PIN = A2;
int LDIR_PIN = A5;
int LSTEP_PIN = A4;
int AXIS_PIN = 12;


float WHEELRADIUS = 34; // in mm
int const SPR = 400;

bool forward = true;
Steeper steeper1(RDIR_PIN, RSTEP_PIN, forward);
Steeper steeper2(LDIR_PIN, LSTEP_PIN, forward);

int AXIS_BASE_ANGLE = 100;
int AXIS_MIN_ANGLE = 0;
int AXIS_MAX_ANGLE = 200;
Axis axis(12, AXIS_MIN_ANGLE, AXIS_MAX_ANGLE, AXIS_BASE_ANGLE);

//Servo axis;
void setup() {
  Serial.begin(9600);
  //axis.attach(AXIS_PIN);
  //axis.write(50);
}


void loop() {
  // put your main code here, to run repeatedly:
  for (int i = 0; i < 10; i++)
  {
    //drive(213.628);
    Serial.println(2);
    axis.setAngle(30+10*i);
    delay(300);
  }
  
  
  delay(10000);
}

void drive(float distance) // distance in mm
{
  float steps = (distance * SPR) / (TWO_PI * WHEELRADIUS);
  for (int i = 0; i < steps; i++)
  {
    steeper1.steep();
    steeper2.steep();
  }
}

