/*
  Steeper.h - Library for controlling a stepper
*/
#ifndef Steeper_h
#define Steeper_h

#include "Arduino.h"

class Steeper
{
  public:
    Steeper(int dirPin, int steepPin, bool forward, unsigned int steepSpeed);
    Steeper(int dirPin, int steepPin, bool forward);
    void steep();
    void steep(unsigned int steepSpeed);
    void setSteepSpeed(unsigned int steepSpeed);
    void setDirection(bool forward);
  private:
    int _dirPin;
    int _steepPin;
    unsigned int _steepSpeed;
    bool _forward;
};

#endif
